<!--
/*
このファイルの中身は、NTT オープンソースライセンス　バージョン 1.0（「本
契約」という）の適用を受けます。
本契約を遵守しない限り、このファイルを使用してはなりません。
本契約のコピーは、次のＵＲＬから入手できます。
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

本契約に基づき頒布されるソフトウェアは、現状のまま、明示又は黙示のあらゆ
る種類の保証なしで、頒布されます。本契約に基づく権利及び制限を律する特定
の文言については、本契約を参照してください。

「オリジナルコード」は、 NTT Cyber Space Laboratories Code です。 
「オリジナルコード」の「初期開発者」は、日本電信電話株式会社です。  
日本電信電話株式会社により創作された部分は、Copyright (C) 2004 
日本電信電話株式会社 です。
全ての権利が留保されます。 
「コントリビュータ」：_____________________________________ 


The contents of this file are subject to the NTT Opensource License
Version 1.0 (the License); you may not use this file except in
compliance with the License. You may obtain a copy of the License at
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

Software distributed under the License is distributed on an AS IS
basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
License for the specific language governing rights and limitations
under the License.

The Original Code is NTT Cyber Space Laboratories Code .

The Initial Developer of the Original Code is NIPPON TELEGRAPH AND 
TELEPHONE CORPORATION.
Portions created by the NIPPON TELEGRAPH AND TELEPHONE CORPORATION 
are Copyright (C) 2004 NIPPON TELEGRAPH AND TELEPHONE CORPORATION. 
All Rights Reserved.

Contributor(s) ______________________________________.
*/
//-->

//
//	APICommon
//	変更履歴
//		2004.02.01	新規作成
//

/** ステータス "Not Initialized":未初期化, "Running":Initialize済み, "Terminated":Terminate済み */
var _g_currentStatus = "Not Initialized";

/** エラーコード */
var _g_lastError = "0";

/** エラー文字列 */
var _g_errorString = "";

/**
 * 状態を設定する
 *
 * @param status	設定する状態を指定する。"Not Initialized","Running", "Terminated"のいずれかを指定する
 */
function _setStatus(status)
{
	_g_currentStatus = status;
}

/**
 * 現在の状態を取得する
 *
 * @return 現在の状態を返却する。
 */
function _getStatus()
{
	return _g_currentStatus;
}

/**
 * エラーコードを設定する
 *
 * @param errorCode	エラーコードを指定する
 */
function _setLastError(errorCode)
{
	_g_lastError = errorCode;
}

/**
 * 最後に設定されたエラーコードを取得する
 *
 * @return 最後に設定されたエラーコードを返却する
 */
function _getLastError()
{
	return _g_lastError;
}

/**
 * SCOフレームのlocationオブジェクトを返却する
 *
 * @return SCOフレームのlocationオブジェクト
 */
function _getSCOLocationObject()
{
	return parent.frames.main.frames.SCO.location;
}

/**
 * scriptsフォルダの(相対)位置を返却する
 *
 * @return SCOフレームのlocationオブジェクト
 */
function _getScriptsFolder()
{
	return "../scripts/";
}

/**
 * エラー文字列を設定する
 *
 * @param errorString	設定するエラー文字列を指定する。
 */
function _setErrorString(errorString)
{
	_g_errorString = errorString;
}

/**
 * エラー文字列を取得する
 *
 * @param errorString	設定するエラー文字列を指定する。
 */
function _getErrorString()
{
	return _g_errorString;
}
